Hello,

I will appreciate your advice about how to best handle stale dependencies. Today I wanted to upgrade phpMyAdmin and I got a number of questions about stale dependencies. I eventually deleted all of them, but does this mean I need to upgrade ports which used this dependency (mailgraph-1.14_1, netpbm-10.26.52, p5-FuzzyOcr-devel-3.4.2_1, php5-gd-5.2.5_1, and rrdtool-1.2.26)?


Stale dependency: mailgraph-1.14_1 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: netpbm-10.26.52 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: p5-FuzzyOcr-devel-3.4.2_1 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: pear-Image_Color-1.0.2_1 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: pecl-pdflib-2.1.5 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: php5-gd-5.2.5_1 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: phpMyAdmin-2.11.5 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.
Stale dependency: rrdtool-1.2.26 -> png-1.2.27 (graphics/png):
Delete this? ([y]es/[n]o/[a]ll) [yes]
Deleted.

I am not even sure png is installed.
$ pkg_info -Ix png
pkg_info: no packages match pattern(s)

$ cat /usr/ports/graphics/png/distinfo
MD5 (libpng-1.2.28.tar.bz2) = c981a7014fc695e354d2f2cac3a6742e
SHA256 (libpng-1.2.28.tar.bz2) = 041c11048ea812f56d7042fbdfc3d7025c97a81f07ab20ebd0f50aecb47baccc
SIZE (libpng-1.2.28.tar.bz2) = 788156

Many thanks in advance!

--
Zbigniew Szalbot
www.lc-words.com

Attachment: smime.p7s
Description: S/MIME Cryptographic Signature

Reply via email to